#ifndef BT_H
#define BT_H

typedef struct BinaryTreeNode {
  char* value;
  struct BinaryTreeNode* left;
  struct BinaryTreeNode* right;
} BinaryTreeNode;

typedef struct BinaryTree {
  int node_count;
  struct BinaryTreeNode* root;
} BinaryTree;

BinaryTree* BT_create();

void BT_insert(BinaryTree* bt, char* val);

void BT_print(BinaryTree* tree);

bool BT_contains(BinaryTree* bt, char* val);

#endif
